> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poixe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取暂存响应详情

```bash curl theme={"theme":{"light":"min-light","dark":"min-dark"}}
curl https://api.poixe.com/v1/recoveries/2026012919284634345521 \
  -H "Authorization: Bearer $POIXE_API_KEY" \
  -H "Content-Type: application/json"
```

```json response theme={"theme":{"light":"min-light","dark":"min-dark"}}
{
  "request_id": "2026012919284634345521",
  "created_at": 1769686134,
  "interrupted_reason": "context canceled",
  "request": {
    "body_raw": "{\"model\":\"gpt-4o-mini\",\"messages\":[{\"role\":\"user\",\"content\":\"Prove Fermat's Last Theorem.\"}],\"stream\":false}",
    "request_body_hash": "6ded87ad1c72779a"
  },
  "response": {
    "body_raw": "{\"id\":\"chatcmpl-D3KUZpROV3MImaoGMSAtSninGzmmE\",\"object\":\"chat.completion\",\"created\":1769686127,\"model\":\"gpt-4o-mini-2024-07-18\",\"choices\":[{\"index\":0,\"message\":{\"role\":\"assistant\",\"content\":\"...\",\"refusal\":null,\"annotations\":[]},\"logprobs\":null,\"finish_reason\":\"stop\"}],\"usage\":{\"prompt_tokens\":14,\"completion_tokens\":448,\"total_tokens\":462}}",
    "response_body_size": 2245
  }
}
```

GET
`https://api.poixe.com/v1/recoveries/{request_id}`

通过 `request_id` 获取某一条暂存响应的完整详情（包含 **原始请求体** 与 **完整响应体**）。

如果你还没有 `request_id`，可以先使用 [**列出列表**](https://docs.poixe.com/cn/api-reference/extension-api/recoveries/list.md) 获取，或用 [**lookup 反查**](https://docs.poixe.com/cn/api-reference/extension-api/recoveries/lookup.md) 通过原始请求体反查候选记录。

## 鉴权与请求头

所有 API 请求都必须在 HTTP Header 中包含您的 API 密钥。

**Authorization** `string` *required*

Bearer Token。格式为 `Bearer YOUR_API_KEY`。

**Content-Type** `string` *required*

必须设置为 `application/json`。

## 路径参数

**request\_id** `string` *required*

暂存记录的请求 ID。通常来自 [**列出列表**](https://docs.poixe.com/cn/api-reference/extension-api/recoveries/list.md) 或 [**lookup 反查**](https://docs.poixe.com/cn/api-reference/extension-api/recoveries/lookup.md)。

## 响应结构

**request\_id** `string`

请求 ID，Poixe AI 系统内部使用的唯一标识。

**created\_at** `integer`

创建时间（Unix 秒级时间戳）。

**interrupted\_reason** `string`

中断原因（如 context canceled）。

**request** `object`

原始请求信息。

**request 字段**

**body\_raw** `string`

原始请求 JSON 字符串。若请求体超过 20MB，可能返回占位符。

**request\_body\_hash** `string`

请求体 hash（用于 lookup 反查）。

**response** `object`

暂存的完整响应内容。

**response 字段**

**body\_raw** `string`

完整响应 JSON 字符串。

**response\_body\_size** `integer`

响应体字节大小（byte size）。

当原始请求体超过 **20MB**，系统不会存储请求体内容，`request.body_raw` 将返回：`__OMITTED_TOO_LARGE__`。

这不会影响找回响应：`response.body_raw` 仍可正常获取。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.